## freeradius 3.2.1+dfsg

=== Makefile ===
#
#  Makefile
#
#		NOTE: This top-level Makefile must not
#		use GNU-make extensions. The lower ones can.
#
#  Version:	$Id: 5af6922481cb342470fd386162969aaaf2826f72 $
#

#
#  If we didn't call ./configure just define the version.
#
RADIUSD_VERSION_STRING := $(shell cat VERSION)

#
#  The default rule is "all".
#
all:

#
#  Catch people who try to use BSD make
#
ifeq "0" "1"
.error GNU Make is required to build FreeRADIUS
endif

#
#  We require Make.inc, UNLESS the target is "make deb"
#
#  Since "make deb" re-runs configure... there's no point in
#  requiring the developer to run configure *before* making
#  the debian packages.
#
ifneq "$(MAKECMDGOALS)" "deb"
ifneq "$(MAKECMDGOALS)" "rpm"
ifeq "$(findstring docker,$(MAKECMDGOALS))" ""
ifeq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
$(if $(wildcard Make.inc),,$(error Missing 'Make.inc' Run './configure [options]' and retry))

include Make.inc
endif
endif
endif
endif

MFLAGS += --no-print-directory

#
#  The version of GNU Make is too old, don't use it (.FEATURES
#  variable was added in 3.81)
#
ifndef .FEATURES
$(error The build system requires GNU Make 3.81 or later.)
endif

export DESTDIR := $(R)

#
#  And over-ride all of the other magic.
#
ifneq "$(MAKECMDGOALS)" "deb"
ifneq "$(MAKECMDGOALS)" "rpm"
ifeq "$(findstring docker,$(MAKECMDGOALS))" ""
ifeq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
include scripts/boiler.mk
endif
endif
endif
endif

#
#  To work around OpenSSL issues within CI.
#
.PHONY:
raddb/test.conf:
	@echo 'security {' >> $@
	@echo '        allow_vulnerable_openssl = yes' >> $@
	@echo '}' >> $@
	@echo '$$INCLUDE radiusd.conf' >> $@

#
#  Run "radiusd -C", looking for errors.
#
#  Only redirect STDOUT, which should contain details of why the test failed.
#  Don't molest STDERR as this may be used to receive output from a debugger.
#
$(BUILD_DIR)/tests/radiusd-c: raddb/test.conf ${BUILD_DIR}/bin/radiusd | build.raddb
	@$(MAKE) -C raddb/certs
	@printf "radiusd -C... "
	@if ! $(TESTBIN)/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
		rm -f raddb/test.conf; \
		cat $(BUILD_DIR)/tests/radiusd.config.log; \
		echo "fail"; \
		exit 1; \
	fi
	@rm -f raddb/test.conf
	@echo "ok"
	@touch $@

test: ${BUILD_DIR}/bin/radiusd ${BUILD_DIR}/bin/radclient tests.unit tests.xlat tests.keywords tests.modules tests.auth test.sql_nas_table $(BUILD_DIR)/tests/radiusd-c | build.raddb
	@$(MAKE) -C src/tests tests

#
#  Tests specifically for CI. We do a LOT more than just
#  the above tests
#
ci-test: raddb/test.conf test
	@$(TESTBIN)/radiusd -xxxv -n test
	@rm -f raddb/test.conf
	@$(MAKE) install
	@perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
	@sh ${HOME}/freeradius/etc/raddb/certs
	@${sbindir}/radiusd -XC

#
#  The $(R) is a magic variable not defined anywhere in this source.
#  It's purpose is to allow an admin to create an installation 'tar'
#  file *without* actually installing it.  e.g.:
#
#  $ R=/home/root/tmp make install
#  $ cd /home/root/tmp
#  $ tar -cf ~/freeradius-package.tar *
#
#  The 'tar' file can then be un-tar'd on any similar machine.  It's a
#  cheap way of creating packages, without using a package manager.
#  Many of the platform-specific packaging tools use the $(R) variable
#  when creating their packages.
#
#  For compatibility with typical GNU packages (e.g. as seen in libltdl),
#  we make sure DESTDIR is defined.
#
export DESTDIR := $(R)

DICTIONARIES := $(wildcard share/dictionary*)
install.share: $(addprefix $(R)$(dictdir)/,$(notdir $(DICTIONARIES)))

.PHONY: dictionary.format
dictionary.format: $(DICTIONARIES)
	@./share/format.pl $(DICTIONARIES)

$(R)$(dictdir)/%: share/%
	@echo INSTALL $(notdir $<)
	@$(INSTALL) -m 644 $< $@

MANFILES := $(wildcard man/man*/*.?)
MANDIR   := $(wildcard man/man*)
install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))

$(MANDIR):
	@echo INSTALL $(patsubst $(R)$(mandir)/%,man/%,$@)
	@$(INSTALL) -d -m 755 $@

$(R)$(mandir)/%: man/% | $(dir $@)
	@echo INSTALL $(notdir $<)
	@sed -e "s,/etc/raddb,$(raddbdir),g" \
		-e "s,/usr/local/share,$(datarootdir),g" \
		$< > $<.subst
	@$(INSTALL) -m 644 $<.subst $@
	@rm $<.subst

#
#  Don't install rlm_test
#
ALL_INSTALL := $(patsubst %rlm_test.la,,$(ALL_INSTALL))

install: install.share install.man
	@$(INSTALL) -d -m 700	$(R)$(logdir)
	@$(INSTALL) -d -m 700	$(R)$(radacctdir)

ifneq ($(RADMIN),)
ifneq ($(RGROUP),)
.PHONY: install-chown
install-chown:
	chown -R $(RADMIN)   $(R)$(raddbdir)
	chgrp -R $(RGROUP)   $(R)$(raddbdir)
	chmod u=rwx,g=rx,o=  `find $(R)$(raddbdir) -type d -print`
	chmod u=rw,g=r,o=    `find $(R)$(raddbdir) -type f -print`
	chown -R $(RADMIN)   $(R)$(logdir)
	chgrp -R $(RGROUP)   $(R)$(logdir)
	find $(R)$(logdir) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(logdir) -type d -exec chmod g+s {} \;
	find $(R)$(logdir) -type f -exec chmod u=rw,g=rw,o= {} \;
	chown -R $(RADMIN)   $(R)$(RUNDIR)
	chgrp -R $(RGROUP)   $(R)$(RUNDIR)
	find $(R)$(RUNDIR) -type d -exec chmod u=rwx,g=rwx,o= {} \;
	find $(R)$(RUNDIR) -type d -exec chmod g+s {} \;
	find $(R)$(RUNDIR) -type f -exec chmod u=rw,g=rw,o= {} \;
endif
endif

distclean: clean
	@-find src/modules -regex .\*/config[.][^.]*\$$ -delete
	@-find src/modules -name autom4te.cache -exec rm -rf '{}' \;
	@rm -rf config.cache config.log config.status libtool \
		src/include/radpaths.h src/include/stamp-h \
		libltdl/config.log libltdl/config.status \
		libltdl/libtool autom4te.cache build
	@-find . ! -name configure.ac -name \*.in -print | \
		sed 's/\.in$$//' | \
		while read file; do rm -f $$file; done

######################################################################
#
#  Automatic remaking rules suggested by info:autoconf#Automatic_Remaking
#
######################################################################
#
#  Do these checks ONLY if we're re-building the "configure"
#  scripts, and ONLY the "configure" scripts.  If we leave
#  these rules enabled by default, then they're run too often.
#
ifeq "$(MAKECMDGOALS)" "reconfig"

CONFIGURE_AC_FILES := $(shell find . -name configure.ac -print)
CONFIGURE_FILES	   := $(patsubst %.ac,%,$(CONFIGURE_AC_FILES))

#
#  The GNU tools make autoconf=="missing autoconf", which then returns
#  0, even when autoconf doesn't exist.  This check is to ensure that
#  we run AUTOCONF only when it exists.
#
AUTOCONF_EXISTS := $(shell autoconf --version 2>/dev/null)

ifeq "$(AUTOCONF_EXISTS)" ""
$(error You need to install autoconf to re-build the "configure" scripts)
endif

#  Configure files depend on ".ac" files, and on the top-level macro files
#  If there are headers, run auto-header, too.
src/%configure: src/%configure.ac acinclude.m4 aclocal.m4 $(wildcard $(dir $@)m4/*m4) | src/freeradius-devel
	@echo AUTOCONF $(dir $@)
	@cd $(dir $@) && \
		$(ACLOCAL) --force -I $(top_builddir) -I $(top_builddir)/m4 && \
		$(AUTOCONF) --force
	@if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
		echo AUTOHEADER $@ \
		cd $(dir $@) && $(AUTOHEADER) --force; \
	 fi

#  "%configure" doesn't match "configure"
configure: configure.ac $(wildcard ac*.m4) $(wildcard m4/*.m4)
	@echo AUTOCONF $@
	@$(ACLOCAL) --force
	@$(AUTOCONF) --force

src/include/autoconf.h.in: configure.ac
	@echo AUTOHEADER $@
	@$(AUTOHEADER) --force

reconfig: $(CONFIGURE_FILES) src/include/autoconf.h.in

config.status: configure
	./config.status --recheck

#  target is "reconfig"
endif

#
#  If we've already run configure, then add rules which cause the
#  module-specific "all.mk" files to depend on the mk.in files, and on
#  the configure script.
#
ifneq "$(wildcard config.log)" ""
CONFIGURE_ARGS	   := $(shell head -10 config.log | grep '^  \$$' | sed 's/^....//;s:.*configure ::')

src/%all.mk: src/%all.mk.in src/%configure
	@echo CONFIGURE $(dir $@)
	@rm -f ./config.cache $(dir $<)/config.cache
	@cd $(dir $<) && ./configure $(CONFIGURE_ARGS) && touch $(notdir $@)
endif

.PHONY: check-includes
check-includes:
	scripts/min-includes.pl `find . -name "*.c" -print`

.PHONY: TAGS
TAGS:
	etags `find src -type f -name '*.[ch]' -print` > $@

#
#  Make test certificates.
#
.PHONY: certs
certs:
	@$(MAKE) -C raddb/certs

######################################################################
#
#  Make a release.
#
#  Note that "Make.inc" has to be updated with the release number
#  BEFORE running this command!
#
######################################################################
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz: .git/HEAD
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | gzip > $@

freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: .git/HEAD
	git archive --format=tar --prefix=freeradius-server-$(RADIUSD_VERSION_STRING)/ $(BRANCH) | bzip2 > $@

%.sig: %
	gpg --default-key packages@freeradius.org -b $<

#
#  High-level targets
#
.PHONY: dist-check
dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat redhat/freeradius.spec | sed 's/^Version:.*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
		mv redhat/.foo redhat/freeradius.spec; \
		echo redhat/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		cat suse/freeradius.spec | sed 's/^Version: .*/Version:      $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
		mv suse/.foo suse/freeradius.spec; \
		echo suse/freeradius.spec 'Version' needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 doc/ChangeLog | awk '/^FreeRADIUS/{print $$2}'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo doc/ChangeLog needs to be updated; \
		exit 1; \
	fi
	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'` != "$(RADIUSD_VERSION_STRING)" ]; then \
		echo debian/changelog needs to be updated; \
		exit 1; \
	fi
	@if [ `grep version doc/antora/antora.yml | sed 's/^.*version: //'` != "'$(RADIUSD_VERSION_STRING)'" ]; then \
		echo doc/antora/antora.yml needs to be updated with: version '$(RADIUSD_VERSION_STRING)'; \
		exit 1; \
	fi

dist: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2

dist-sign: dist-check freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig

dist-publish: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2 freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz.sig freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2.sig
	scp $^ freeradius.org@ftp.freeradius.org:public_ftp

#
#  Note that we do NOT do the tagging here!  We just print out what
#  to do!
#
dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"

#
#  Docker-related targets (main Docker images and crossbuild)
#
ifneq "$(findstring docker,$(MAKECMDGOALS))" ""
include scripts/docker/docker.mk
endif

ifneq "$(findstring crossbuild,$(MAKECMDGOALS))" ""
include scripts/crossbuild/crossbuild.mk
endif

#
#  Build a Debian package
#
DEBBUILDEXTRA = --jobs=auto
.PHONY: deb
deb:
	fakeroot debian/rules debian/control #clean
	fakeroot dpkg-buildpackage $(DEBBUILDEXTRA) -b -uc

#
#  Build an RPM package
#
.PHONY: rpm
rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
	@for file in `awk '/^Source...:/ {print $$2}' redhat/freeradius.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
	@cp $< $@

=== src/modules/rlm_totp/Makefile ===
#
#  TOTP isn't simple, so we need test cases.
#
all: totp

include ../../../Make.inc

#
#  Hack up stuff so we can build in a subdirectory.
#
.PHONY: src
src:
	@ln -sf ../../../src

.PHONY: freeradius-devel
freeradius-devel:
	@ln -sf ../../../src/include freeradius-devel

#
#  ./totp decode <base32>
#
#  ./totp totp <time> <sha1key> <8-character-challenge>
#
totp: rlm_totp.c | src freeradius-devel
	@$(CC) -DTESTING $(CFLAGS) $(OPENSSL_CPPFLAGS) -o $@ $(LDFLAGS) $(LIBS) ../../../build/lib/.libs/libfreeradius-radius.a rlm_totp.c

#
#  Test vectors from RFC 6238, Appendix B
#
test: totp
	@while IFS= read -r line; do \
		./totp totp $$line || exit 1; \
	done < sha1.txt

=== debian/changelog ===
freeradius (3.2.1+dfsg-4+deb12u1) bookworm; urgency=medium

  * Add d/gbp.conf for bookworm stable branch
  * Cherry-Pick two upstream commits to fix TLS-Client-Cert-Common-Name
    contains incorrect value (Closes: #1043282)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 19 Aug 2023 00:26:34 +0200

freeradius (3.2.1+dfsg-4) unstable; urgency=medium

  * Don't install symlink for cache_eap module no longer shipped
    (Closes: #1035853)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 16 May 2023 00:04:23 +0200

freeradius (3.2.1+dfsg-3) unstable; urgency=medium

  * Cherry-pick upstream patch to fix partical CA support (Closes: #1032590)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 10 Mar 2023 08:53:27 +0100

freeradius (3.2.1+dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream fix for EAP-TTLS-MSCHAPv2 with TLSv1.3
    (Closes: #919234)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 07 Mar 2023 22:51:06 +0100

freeradius (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg (Closes: #1025426)
  * Drop d/p/mkdirp.diff, fixed upstream
  * Drop d/p/python_config_script_update.diff, fixed upstream
  * Refresh patch
  * Fix lintian overrides
  * Bump debhelper to version 13, drop old dbgsym migration

 -- Bernhard Schmidt <berni@debian.org>  Wed, 28 Dec 2022 00:10:38 +0100

=== debian/control ===
Source: freeradius
Build-Depends: debhelper-compat (= 13),
               default-libmysqlclient-dev,
               freetds-dev,
               libcap-dev,
#		Temporarily disable due to collectd RC bugs
#               libcollectdclient-dev,
               libcurl4-openssl-dev | libcurl4-gnutls-dev,
               libgdbm-dev,
               libhiredis-dev,
               libiodbc2-dev,
               libjson-c-dev,
               libkrb5-dev | heimdal-dev,
               libldap2-dev,
               libmemcached-dev,
               libpam0g-dev,
               libpcap-dev,
               libpcre3-dev,
               libperl-dev,
               libpq-dev,
               libreadline-dev,
               libsasl2-dev,
               libsqlite3-dev,
               libssl-dev,
               libsystemd-dev,
               libtalloc-dev,
               libwbclient-dev,
               libykclient-dev,
               libyubikey-dev,
               python3-dev,
               samba-dev | samba4-dev,
               snmp
Section: net
Priority: optional
Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
Uploaders: Mark Hymers <mhy@debian.org>,
           Sam Hartman <hartmans@debian.org>,
           Bernhard Schmidt <berni@debian.org>
Standards-Version: 4.4.1
Homepage: http://www.freeradius.org/
Vcs-Git: https://salsa.debian.org/debian/freeradius.git
Vcs-Browser: https://salsa.debian.org/debian/freeradius

Package: freeradius
Architecture: any
Depends: freeradius-common,
         freeradius-config,
         libfreeradius3 (= ${binary:Version}),
         lsb-base,
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Provides: radius-server
Recommends: freeradius-utils
Suggests: freeradius-krb5,
          freeradius-ldap,
          freeradius-mysql,
          freeradius-postgresql,
          freeradius-python3,
          snmp
Description: high-performance and highly configurable RADIUS server
 FreeRADIUS is a high-performance RADIUS server with support for:
  - Authentication by local files, SQL, Kerberos, LDAP, PAM, and more.
  - Powerful policy configuration language.
  - Proxying and replicating requests by any criteria.
  - Support for many EAP types; TLS, PEAP, TTLS, etc.
  - Many vendor-specific attributes.
  - Regexp matching in string attributes.
 and lots more.

Package: freeradius-common
Depends: adduser, ${misc:Depends}
Architecture: all
Conflicts: radiusd-livingston, xtradius, yardradius
Description: FreeRADIUS common files
 This package contains common files used by several of the other packages from
 the FreeRADIUS project.

Package: freeradius-config
Architecture: any
Depends: adduser,
         ca-certificates,
         freeradius-common,
         make,
         openssl,
         ssl-cert,
         ${misc:Depends}
Breaks: freeradius-config
Description: FreeRADIUS default config files
 freeradius-config contains the default configuration for FreeRADIUS.
 .
 You can install a custom package which sets "Provides: freeradius-config" in
 order to use the FreeRADIUS packages without any default configuration getting
 into your way.

Package: freeradius-utils
Architecture: any
Conflicts: radiusd-livingston, yardradius
Depends: freeradius-common,
         freeradius-config,
         libfreeradius3 (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: libdbi-perl
Description: FreeRADIUS client utilities
 This package contains various client programs and utilities from
 the FreeRADIUS Server project, including:
  - radclient
  - radeapclient
  - radlast
  - radsniff
  - radsqlrelay
  - radtest
  - radwho
  - radzap
  - rlm_ippool_tool
  - smbencrypt

Package: libfreeradius3
Architecture: any
Section: libs
Depends: ${dist:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: FreeRADIUS shared library
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.

Package: libfreeradius-dev
Architecture: any
Section: libdevel
Depends: freeradius-dhcp (= ${binary:Version}),
         libfreeradius3 (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: FreeRADIUS shared library development files
 The FreeRADIUS projects' libfreeradius-radius and libfreeradius-eap, used by
 the FreeRADIUS server and some of the utilities.
 .
 This package contains the development headers and static library version.

Package: freeradius-dhcp
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: DHCP module for FreeRADIUS server
 The FreeRADIUS server can act as a DHCP server, and this module
 is necessary for that.

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-rest
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: REST module for FreeRADIUS server
 The FreeRADIUS server can make calls to remote web APIs, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-redis
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Redis module for FreeRADIUS server
 This module is required to enable the FreeRADIUS server to access
 Redis databases.

Package: freeradius-memcached
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Memcached module for FreeRADIUS server
 The FreeRADIUS server can cache data in memcached and this package
 contains the required module.

Package: freeradius-yubikey
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Yubikey module for FreeRADIUS server
 This package is required to add Yubikey functionality to the
 FreeRADIUS server.

Package: freeradius-python3
Architecture: any
Depends: freeradius (= ${binary:Version}),
         ${dist:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python 3 module for FreeRADIUS server
 This package is required to add Python 3 functionality to the
 FreeRADIUS server.
 .
 It was introduced in FreeRADIUS 3.0.20 as EXPERIMENTAL module. Use at
 your own risk.

## freeradius 3.2.2+dfsg

=== debian/changelog ===
freeradius (3.2.2+dfsg-1~exp1) experimental; urgency=medium

  * New upstream version 3.2.2+dfsg
  * Drop patches applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Sat, 11 Mar 2023 21:49:25 +0100

## freeradius 3.2.3+dfsg

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#
#	$Id: c9fbc9e8646bb157092e48c95352cb2866bafeaf $
#
######################################################################

DH_KEY_SIZE	= 2048
OPENSSL		= openssl
EXTERNAL_CA	= $(wildcard external_ca.*)

ifneq "$(EXTERNAL_CA)" ""
PARTIAL		= -partial_chain
endif

#
#  Set the passwords
#
include passwords.mk

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: index.txt serial dh ca server client

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.der ca.crl

.PHONY: server
server: server.pem server.vrfy

.PHONY: inner-server
inner-server: inner-server.pem inner-server.vrfy

.PHONY: verify
verify: server.vrfy client.vrfy

passwords.mk: server.cnf ca.cnf client.cnf inner-server.cnf
	@echo "PASSWORD_SERVER	= '$(shell grep output_password server.cnf | sed 's/.*=//;s/^ *//')'"		> $@
	@echo "PASSWORD_INNER	= '$(shell grep output_password inner-server.cnf | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "PASSWORD_CA	= '$(shell grep output_password ca.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "PASSWORD_CLIENT	= '$(shell grep output_password client.cnf | sed 's/.*=//;s/^ *//')'"		>> $@
	@echo "USER_NAME	= '$(shell grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//')'"	>> $@
	@echo "CA_DEFAULT_DAYS  = '$(shell grep default_days ca.cnf | sed 's/.*=//;s/^ *//')'"			>> $@

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	$(OPENSSL) dhparam -out dh -2 $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem: ca.cnf
	@[ -f index.txt ] || $(MAKE) index.txt
	@[ -f serial ] || $(MAKE) serial
	$(OPENSSL) req -new -x509 -keyout ca.key -out ca.pem \
		-days $(CA_DEFAULT_DAYS) -config ./ca.cnf \
		-passin pass:$(PASSWORD_CA) -passout pass:$(PASSWORD_CA)
	chmod g+r ca.key

ca.der: ca.pem
	$(OPENSSL) x509 -inform PEM -outform DER -in ca.pem -out ca.der

ca.crl: ca.pem
	$(OPENSSL) ca -gencrl -keyfile ca.key -cert ca.pem -config ./ca.cnf -out ca-crl.pem -key $(PASSWORD_CA)
	$(OPENSSL) crl -in ca-crl.pem -outform der -out ca.crl
	rm ca-crl.pem

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: server.cnf
	$(OPENSSL) req -new  -out server.csr -keyout server.key -config ./server.cnf
	chmod g+r server.key

server.crt: ca.key ca.pem server.csr
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	$(OPENSSL) pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)
	chmod g+r server.p12

server.pem: server.p12
	$(OPENSSL) pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)
	chmod g+r server.pem

.PHONY: server.vrfy
server.vrfy: ca.pem
	@$(OPENSSL) verify $(PARTIAL) -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above server
#  certificate.
#
######################################################################
client.csr client.key: client.cnf
	$(OPENSSL) req -new  -out client.csr -keyout client.key -config ./client.cnf
	chmod g+r client.key

client.crt: ca.key ca.pem client.csr
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in client.csr  -key $(PASSWORD_CA) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	$(OPENSSL) pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	chmod g+r client.p12
	cp client.p12 $(USER_NAME).p12

client.pem: client.p12
	$(OPENSSL) pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	chmod g+r client.pem
	cp client.pem $(USER_NAME).pem

.PHONY: client.vrfy
client.vrfy: ca.pem client.pem
	c_rehash .
	$(OPENSSL) verify -CApath . client.pem

######################################################################
#
#  Create a new inner-server certificate, signed by the above CA.
#
######################################################################
inner-server.csr inner-server.key: inner-server.cnf
	$(OPENSSL) req -new  -out inner-server.csr -keyout inner-server.key -config ./inner-server.cnf
	chmod g+r inner-server.key

inner-server.crt: ca.key ca.pem inner-server.csr
	$(OPENSSL) ca -batch -keyfile ca.key -cert ca.pem -in inner-server.csr  -key $(PASSWORD_CA) -out inner-server.crt -extensions xpserver_ext -extfile xpextensions -config ./inner-server.cnf

inner-server.p12: inner-server.crt
	$(OPENSSL) pkcs12 -export -in inner-server.crt -inkey inner-server.key -out inner-server.p12  -passin pass:$(PASSWORD_INNER) -passout pass:$(PASSWORD_INNER)
	chmod g+r inner-server.p12

inner-server.pem: inner-server.p12
	$(OPENSSL) pkcs12 -in inner-server.p12 -out inner-server.pem -passin pass:$(PASSWORD_INNER) -passout pass:$(PASSWORD_INNER)
	chmod g+r inner-server.pem

.PHONY: inner-server.vrfy
inner-server.vrfy: ca.pem
	@$(OPENSSL) verify $(PARTIAL) -CAfile ca.pem inner-server.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

print:
	$(OPENSSL) x509 -text -in server.crt

printca:
	$(OPENSSL) x509 -text -in ca.pem

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#	Make a target that people won't run too often.
#
destroycerts:
	rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial*  *\.0 *\.1 ca-crl.pem ca.crl

=== debian/changelog ===
freeradius (3.2.3+dfsg-2build7) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:22:45 +0000

freeradius (3.2.3+dfsg-2build6) noble; urgency=high

  * No change rebuild against libcurl4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:05:25 +0100

freeradius (3.2.3+dfsg-2build5) noble; urgency=medium

  * No-change rebuild against libcom-err2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 20:32:43 +0000

freeradius (3.2.3+dfsg-2build4) noble; urgency=medium

  * No-change rebuild against libperl5.38t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 18:19:16 +0000

freeradius (3.2.3+dfsg-2build3) noble; urgency=medium

  * No-change rebuild for perlapi5.38t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Mar 2024 05:41:45 +0100

freeradius (3.2.3+dfsg-2build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 21 Jan 2024 07:37:30 +0000

freeradius (3.2.3+dfsg-2build1) noble; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 11 Jan 2024 04:02:48 +0100

freeradius (3.2.3+dfsg-2) unstable; urgency=medium

  * Don't build against libpcre3 (Closes: #1000031)
    FreeRADIUS will use Posix regular expressions

 -- Bernhard Schmidt <berni@debian.org>  Sun, 02 Jul 2023 22:23:21 +0200

freeradius (3.2.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.3+dfsg (Closes: #1032572)
    - Drop patches applied upstream
    - d/freeradius-redis.install: Include new rlm_cache_redis module
    - Unfuzz d/p/snakeoil-certs.diff
  * Bump Standards-Version, no changes necessary
  * Drop obsolete lsb-base dependency

 -- Bernhard Schmidt <berni@debian.org>  Fri, 23 Jun 2023 20:20:19 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
                libmemcached-dev,
                libpam0g-dev,
                libpcap-dev,
-               libpcre3-dev,
                libperl-dev,
                libpq-dev,
                libreadline-dev,
@@ -32,11 +31,12 @@
                snmp
 Section: net
 Priority: optional
-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Hymers <mhy@debian.org>,
            Sam Hartman <hartmans@debian.org>,
            Bernhard Schmidt <berni@debian.org>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 Homepage: http://www.freeradius.org/
 Vcs-Git: https://salsa.debian.org/debian/freeradius.git
 Vcs-Browser: https://salsa.debian.org/debian/freeradius
@@ -46,7 +46,6 @@
 Depends: freeradius-common,
          freeradius-config,
          libfreeradius3 (= ${binary:Version}),
-         lsb-base,
          ${dist:Depends},
          ${misc:Depends},
          ${shlibs:Depends}

## freeradius 3.2.5%2Bdfsg

=== debian/changelog ===
freeradius (3.2.5+dfsg-3~ubuntu24.04.3) noble; urgency=medium

  * d/p/lp-2104372-fix-crash-status-server-ping.patch: Fix crash due to ping
    packet from status server (LP: #2104372)

 -- Lena Voytek <lena.voytek@canonical.com>  Fri, 28 Mar 2025 13:03:23 -0400

freeradius (3.2.5+dfsg-3~ubuntu24.04.2) noble; urgency=medium

  * d/p/lp-2087740-fix-duplicate-packet-send.patch fix duplicate packet sends
    on COA calls (LP: #2087740)

 -- jchittum <john.chittum@canonical.com>  Tue, 10 Dec 2024 11:06:27 -0400

freeradius (3.2.5+dfsg-3~ubuntu24.04.1) noble-security; urgency=medium

  * Build as security update for noble
    - SECURITY UPDATE: forgery attack via MD5 collision (Blast-RADIUS)
    - CVE-2024-3596

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 12 Sep 2024 14:22:30 -0400

freeradius (3.2.5+dfsg-3) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Cherry-Pick from upstream: Replace radsecret with shell script to avoid
    dependency on extra perl modules (Closes: #1076458)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 17 Jul 2024 22:44:55 +0200

freeradius (3.2.5+dfsg-2) unstable; urgency=medium

  * Fix parallel builds
  * Fix python3 autopkgtest
  * freeradius-utils: add perl modules needed for radsecret, run radsecret
    in autopkgtest instead of radlast (which needs wtmp)
  * d/freeradius.service: Use MemoryMax= instead of MemoryLimit=
    (Closes: #1072253)

 -- Bernhard Schmidt <berni@debian.org>  Wed, 10 Jul 2024 22:45:00 +0200

freeradius (3.2.5+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.5+dfsg
    This release adds a few hardening mitigations for the BlastRADIUS protocol
    vulnerability (CVE-2024-3596).
    - add new radsecret binary
    - add new rlm_dpsk and rlm_eap_teap modules
  * d/watch: Limit to 3.2 series

 -- Bernhard Schmidt <berni@debian.org>  Tue, 09 Jul 2024 23:31:16 +0200

## freeradius 3.2.5+dfsg

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 #		NOTE: This top-level Makefile must not
 #		use GNU-make extensions. The lower ones can.
 #
-#  Version:	$Id: 5af6922481cb342470fd386162969aaaf2826f72 $
+#  Version:	$Id: b7777ed987540591cf9b183bb5b63a52b2fa036d $
 #
 
 #
@@ -85,32 +85,32 @@
 #  Don't molest STDERR as this may be used to receive output from a debugger.
 #
 $(BUILD_DIR)/tests/radiusd-c: raddb/test.conf ${BUILD_DIR}/bin/radiusd | build.raddb
-	@$(MAKE) -C raddb/certs
-	@printf "radiusd -C... "
-	@if ! $(TESTBIN)/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
+	${Q}$(MAKE) -C raddb/certs
+	${Q}printf "radiusd -C... "
+	${Q}if ! $(TESTBIN)/radiusd -XCMd ./raddb -D ./share -n test > $(BUILD_DIR)/tests/radiusd.config.log; then \
 		rm -f raddb/test.conf; \
 		cat $(BUILD_DIR)/tests/radiusd.config.log; \
 		echo "fail"; \
 		exit 1; \
 	fi
-	@rm -f raddb/test.conf
-	@echo "ok"
-	@touch $@
+	${Q}rm -f raddb/test.conf
+	${Q}echo "ok"
+	${Q}touch $@
 
 test: ${BUILD_DIR}/bin/radiusd ${BUILD_DIR}/bin/radclient tests.unit tests.xlat tests.keywords tests.modules tests.auth test.sql_nas_table $(BUILD_DIR)/tests/radiusd-c | build.raddb
-	@$(MAKE) -C src/tests tests
+	${Q}$(MAKE) -C src/tests tests
 
 #
 #  Tests specifically for CI. We do a LOT more than just
 #  the above tests
 #
 ci-test: raddb/test.conf test
-	@$(TESTBIN)/radiusd -xxxv -n test
-	@rm -f raddb/test.conf
-	@$(MAKE) install
-	@perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
-	@sh ${HOME}/freeradius/etc/raddb/certs
-	@${sbindir}/radiusd -XC
+	${Q}$(TESTBIN)/radiusd -xxxv -n test
+	${Q}rm -f raddb/test.conf
+	${Q}$(MAKE) install
+	${Q}perl -p -i -e 's/allow_vulnerable_openssl = no/allow_vulnerable_openssl = yes/' ${raddbdir}/radiusd.conf
+	${Q}sh ${HOME}/freeradius/etc/raddb/certs
+	${Q}${sbindir}/radiusd -XC
 
 #
 #  The $(R) is a magic variable not defined anywhere in this source.
@@ -136,27 +136,27 @@
 
 .PHONY: dictionary.format
 dictionary.format: $(DICTIONARIES)
-	@./share/format.pl $(DICTIONARIES)
+	${Q}./share/format.pl $(DICTIONARIES)
 
 $(R)$(dictdir)/%: share/%
 	@echo INSTALL $(notdir $<)
-	@$(INSTALL) -m 644 $< $@
+	${Q}$(INSTALL) -m 644 $< $@
 
 MANFILES := $(wildcard man/man*/*.?)
 MANDIR   := $(wildcard man/man*)
 install.man: $(subst man/,$(R)$(mandir)/,$(MANFILES))
 
 $(MANDIR):
-	@echo INSTALL $(patsubst $(R)$(mandir)/%,man/%,$@)
-	@$(INSTALL) -d -m 755 $@
+	${Q}echo INSTALL $(patsubst $(R)$(mandir)/%,man/%,$@)
+	${Q}$(INSTALL) -d -m 755 $@
 
 $(R)$(mandir)/%: man/% | $(dir $@)
-	@echo INSTALL $(notdir $<)
-	@sed -e "s,/etc/raddb,$(raddbdir),g" \
+	${Q}echo INSTALL $(notdir $<)
+	${Q}sed -e "s,/etc/raddb,$(raddbdir),g" \
 		-e "s,/usr/local/share,$(datarootdir),g" \
 		$< > $<.subst
-	@$(INSTALL) -m 644 $<.subst $@
-	@rm $<.subst
+	${Q}$(INSTALL) -m 644 $<.subst $@
+	${Q}rm $<.subst
 
 #
 #  Don't install rlm_test
@@ -164,8 +164,8 @@
 ALL_INSTALL := $(patsubst %rlm_test.la,,$(ALL_INSTALL))
 
 install: install.share install.man
-	@$(INSTALL) -d -m 700	$(R)$(logdir)
-	@$(INSTALL) -d -m 700	$(R)$(radacctdir)
+	${Q}$(INSTALL) -d -m 700	$(R)$(logdir)
+	${Q}$(INSTALL) -d -m 700	$(R)$(radacctdir)
 
 ifneq ($(RADMIN),)
 ifneq ($(RGROUP),)
@@ -229,10 +229,10 @@
 #  If there are headers, run auto-header, too.
 src/%configure: src/%configure.ac acinclude.m4 aclocal.m4 $(wildcard $(dir $@)m4/*m4) | src/freeradius-devel
 	@echo AUTOCONF $(dir $@)
-	@cd $(dir $@) && \
+	${Q}cd $(dir $@) && \
 		$(ACLOCAL) --force -I $(top_builddir) -I $(top_builddir)/m4 && \
 		$(AUTOCONF) --force
-	@if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
+	${Q}if grep AC_CONFIG_HEADERS $@ >/dev/null; then\
 		echo AUTOHEADER $@ \
 		cd $(dir $@) && $(AUTOHEADER) --force; \
 	 fi
@@ -264,9 +264,9 @@
 CONFIGURE_ARGS	   := $(shell head -10 config.log | grep '^  \$$' | sed 's/^....//;s:.*configure ::')
 
 src/%all.mk: src/%all.mk.in src/%configure
-	@echo CONFIGURE $(dir $@)
-	@rm -f ./config.cache $(dir $<)/config.cache
-	@cd $(dir $<) && ./configure $(CONFIGURE_ARGS) && touch $(notdir $@)
+	${Q}echo CONFIGURE $(dir $@)
+	${Q}rm -f ./config.cache $(dir $<)/config.cache
+	${Q}cd $(dir $<) && ./configure $(CONFIGURE_ARGS) && touch $(notdir $@)
 endif
 
 .PHONY: check-includes
@@ -282,7 +282,7 @@
 #
 .PHONY: certs
 certs:
-	@$(MAKE) -C raddb/certs
+	${Q}$(MAKE) -C raddb/certs
 
 ######################################################################
 #
@@ -308,27 +308,27 @@
 #
 .PHONY: dist-check
 dist-check: redhat/freeradius.spec suse/freeradius.spec debian/changelog
-	@if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
+	${Q}if [ `grep ^Version: redhat/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
 		cat redhat/freeradius.spec | sed 's/^Version:.*/Version: $(RADIUSD_VERSION_STRING)/' > redhat/.foo; \
 		mv redhat/.foo redhat/freeradius.spec; \
 		echo redhat/freeradius.spec 'Version' needs to be updated; \
 		exit 1; \
 	fi
-	@if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
+	${Q}if [ `grep ^Version: suse/freeradius.spec | sed 's/.*://;s/ //g'` != "$(RADIUSD_VERSION_STRING)" ]; then \
 		cat suse/freeradius.spec | sed 's/^Version: .*/Version:      $(RADIUSD_VERSION_STRING)/' > suse/.foo; \
 		mv suse/.foo suse/freeradius.spec; \
 		echo suse/freeradius.spec 'Version' needs to be updated; \
 		exit 1; \
 	fi
-	@if [ `head -n 1 doc/ChangeLog | awk '/^FreeRADIUS/{print $$2}'` != "$(RADIUSD_VERSION_STRING)" ]; then \
+	${Q}if [ `head -n 1 doc/ChangeLog | awk '/^FreeRADIUS/{print $$2}'` != "$(RADIUSD_VERSION_STRING)" ]; then \
 		echo doc/ChangeLog needs to be updated; \
 		exit 1; \
 	fi
-	@if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'` != "$(RADIUSD_VERSION_STRING)" ]; then \
+	${Q}if [ `head -n 1 debian/changelog | sed 's/.*(//;s/-0).*//;s/-1).*//;s/\+.*//'` != "$(RADIUSD_VERSION_STRING)" ]; then \
 		echo debian/changelog needs to be updated; \
 		exit 1; \
 	fi
-	@if [ `grep version doc/antora/antora.yml | sed 's/^.*version: //'` != "'$(RADIUSD_VERSION_STRING)'" ]; then \
+	${Q}if [ `grep version doc/antora/antora.yml | sed 's/^.*version: //'` != "'$(RADIUSD_VERSION_STRING)'" ]; then \
 		echo doc/antora/antora.yml needs to be updated with: version '$(RADIUSD_VERSION_STRING)'; \
 		exit 1; \
 	fi
@@ -345,7 +345,7 @@
 #  to do!
 #
 dist-tag: freeradius-server-$(RADIUSD_VERSION_STRING).tar.gz freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
-	@echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"
+	${Q}echo "git tag release_`echo $(RADIUSD_VERSION_STRING) | tr .- __`"
 
 #
 #  Docker-related targets (main Docker images and crossbuild)
@@ -372,7 +372,4 @@
 #
 .PHONY: rpm
 rpmbuild/SOURCES/freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2: freeradius-server-$(RADIUSD_VERSION_STRING).tar.bz2
-	@mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)
-	@for file in `awk '/^Source...:/ {print $$2}' redhat/freeradius.spec` ; do cp redhat/$$file rpmbuild/SOURCES/$$file ; done
-	@cp $< $@
-
+	${Q}mkdir -p $(addprefix rpmbuild/,SOURCES SPECS BUILD RPMS SRPMS BUILDROOT)

=== src/tests/radsec/Makefile ===
include ../../../Make.inc

all: tests.radsec
	@echo "All tests done"

include all.mk


.PHONY: clean
clean: clean.tests.radsec

=== debian/control ===
--- 
+++ 
@@ -48,6 +48,7 @@
          libfreeradius3 (= ${binary:Version}),
          ${dist:Depends},
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Provides: radius-server
 Recommends: freeradius-utils
@@ -100,14 +101,17 @@
          libfreeradius3 (= ${binary:Version}),
          ${dist:Depends},
          ${misc:Depends},
+         ${perl:Depends},
          ${shlibs:Depends}
 Recommends: libdbi-perl
 Description: FreeRADIUS client utilities
  This package contains various client programs and utilities from
  the FreeRADIUS Server project, including:
   - radclient
+  - radcrypt
   - radeapclient
   - radlast
+  - radsecret
   - radsniff
   - radsqlrelay
   - radtest

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
       MAKEFLAGS += -j$(NUMJOBS)
endif

override_dh_auto_clean:
	[ ! -f Make.inc ] || dh_auto_clean

override_dh_auto_build:
	# dh_auto_install does both, compilation and installation.

override_dh_auto_install:
	VERBOSE=1 $(MAKE) install R=debian/tmp PACKAGE='debian'

override_dh_auto_test:
	# TODO: enable testing

override_dh_install:
	mv debian/tmp/usr/sbin/radiusd debian/tmp/usr/sbin/freeradius
	mv debian/tmp/usr/share/man/man8/radiusd.8 debian/tmp/usr/share/man/man8/freeradius.8
	# Not installed as we do not install the dhcpclient binary as per
	# https://github.com/FreeRADIUS/freeradius-server/issues/1734#issuecomment-247848277
	rm debian/tmp/usr/share/man/man1/dhcpclient.1
	# Remove all libtool .la files, as per
	# https://wiki.debian.org/ReleaseGoals/LAFileRemoval
	find debian/tmp/usr/lib/freeradius -name "*.la" -delete
	# Remove all plugin .a files (unnecessary), keep libfreeradius .a files
	# for end-users who want to statically link against libfreeradius.
	find debian/tmp/usr/lib/freeradius -name "*.a" -and \! -name "libfreeradius-*.a" -delete
	# We create the {mods,sites}-enabled links in freeradius-config.postinst
	# so that they are not re-created when users upgrade to a newer version.
	rm debian/tmp/etc/freeradius/3.0/mods-enabled/*
	rm debian/tmp/etc/freeradius/3.0/sites-enabled/*
	dh_install

override_dh_installpam:
	dh_installpam --name=radiusd

override_dh_installinit:
	dh_installinit --noscripts

override_dh_compress:
	dh_compress -Xexamples

override_dh_installdocs:
	dh_installdocs -Xdebian/tmp/usr/share/doc/freeradius/ChangeLog

override_dh_gencontrol:
	dh_gencontrol -- $(SUBSTVARS)

override_dh_auto_configure:
	dh_auto_configure -- $(confflags) \
		--config-cache \
		--disable-developer \
		--disable-openssl-version-check \
		--exec-prefix=/usr \
		--libdir=/usr/lib/freeradius \
		--datadir=/usr/share \
		--with-raddbdir=/etc/freeradius/3.0 \
		--with-logdir=/var/log/freeradius \
		--with-large-files \
		--with-udpfromto \
		--without-rlm_eap_tnc \
		--with-rlm_sql_postgresql_lib_dir=`pg_config --libdir` \
		--with-rlm_sql_postgresql_include_dir=`pg_config --includedir` \
		--with-iodbc-include-dir='/usr/include/iodbc' \
		--with-modules=rlm_python3 \
		--without-rlm_eap_ikev2 \
		--without-rlm_sql_oracle \
		--without-rlm_sql_unixodbc \
		--with-systemd

%:
	dh $@

## freeradius 3.2.6+dfsg

=== debian/changelog ===
freeradius (3.2.6+dfsg-3) unstable; urgency=medium

  [ Bastien Roucariès ]
  * [CVE-2019-10143] Update logrotate file to be more in line with upstream
    (Closes: #929466)

  [ Arnaud Rebillout ]
  * freeradius-utils: add wtmpdb needed for radlast

  [ Santiago Ruano Rincón ]
  * Add Blast-RADIUS information in d/NEWS.Debian

  [ Bernhard Schmidt ]
  * Build-Depend on libwbclient-dev instead of samba-dev (Closes: #1064542)
  * Delete src/freeradius-devel in dh_clean (Closes: #1044654)
  * Drop obsolete d/README.Debian

 -- Bernhard Schmidt <berni@debian.org>  Sun, 05 Jan 2025 11:43:05 +0100

freeradius (3.2.6+dfsg-2) unstable; urgency=medium

  * Sourceful upload to sync the version in salsa with the version in
    the archive, looks like I accidentally uploaded an interim build.
  * Drop patches applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Sat, 21 Dec 2024 14:37:25 +0100

freeradius (3.2.6+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.6+dfsg
  * d/tests: Use passlib.hash.sha512_crypt instead of deprecated crypt standard
    library (Closes: #1084635)

 -- Bernhard Schmidt <berni@debian.org>  Sun, 08 Dec 2024 14:54:06 +0100

=== debian/control ===
--- 
+++ 
@@ -27,12 +27,11 @@
                libykclient-dev,
                libyubikey-dev,
                python3-dev,
-               samba-dev | samba4-dev,
+               libwbclient-dev (>> 2:4.19.6+dfsg-2~),
                snmp
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
+Maintainer: Debian FreeRADIUS Packaging Team <pkg-freeradius-maintainers@lists.alioth.debian.org>
 Uploaders: Mark Hymers <mhy@debian.org>,
            Sam Hartman <hartmans@debian.org>,
            Bernhard Schmidt <berni@debian.org>
@@ -99,6 +98,7 @@
 Depends: freeradius-common,
          freeradius-config,
          libfreeradius3 (= ${binary:Version}),
+         wtmpdb,
          ${dist:Depends},
          ${misc:Depends},
          ${perl:Depends},
